IntelliPhoto 0.7

Public Member Functions | List of all members
IntelliToolPlainTool Class Reference

The IntelliToolPlainTool class represents a tool to fill the whole canvas with one color. More...

`#include <IntelliToolPlain.h>`

Inheritance diagram for IntelliToolPlainTool:

## Public Member Functions
| IntelliToolPlainTool (PaintingArea *Area, IntelliColorPicker *colorPicker, IntelliToolsettings *Toolsettings)
| A constructor setting the general paintingArea and colorPicker. More...
virtual | ~IntelliToolPlainTool () override
| A Destructor. More...
virtual void | onMouseRightPressed (int x, int y) override
| A function managing the right click pressed of a mouse. Resetting the current fill. More...
virtual void | onMouseRightReleased (int x, int y) override
| A function managing the right click released of a mouse. More...
virtual void | onMouseLeftPressed (int x, int y) override
| A function managing the left click pressed of a mouse. Filling the whole canvas. More...
virtual void | onMouseLeftReleased (int x, int y) override
| A function managing the left click released of a mouse. Merging the fill to the active layer. More...
virtual void | onWheelScrolled (int value) override
| A function managing the scroll event. More...
virtual void | onMouseMoved (int x, int y) override
| A function managing the mouse moved event. More...
Public Member Functions inherited from IntelliTool
| IntelliTool (PaintingArea *Area, IntelliColorPicker *colorPicker, IntelliToolsettings *Toolsettings)
| A constructor setting the general Painting Area and colorPicker. More...
virtual | ~IntelliTool ()=0
| An abstract Destructor. More...
Tooltype | getTooltype () const
| getTooltype returns the tools type More...
bool | getIsDrawing () const
| getIsDrawing returns if the tool is currently drawing More...

## Additional Inherited Members
Public Types inherited from IntelliTool
enum | Tooltype { Tooltype::CIRCLE, Tooltype::FLOODFILL, Tooltype::GRADIENT, Tooltype::LINE, Tooltype::PEN, Tooltype::PLAIN, Tooltype::POLYGON, Tooltype::RECTANGLE, Tooltype::NONE }
| The Tooltype enum categorising the toosl. More...
Protected Attributes inherited from IntelliTool
PaintingArea * | Area
| A pointer to the general PaintingArea to interact with. More...
Tooltype | ActiveType
| ActiveType the type of the active tool. More...
IntelliColorPicker * | colorPicker
| A pointer to the IntelliColorPicker of the PaintingArea to interact with, and get the colors. More...
IntelliToolsettings * | Toolsettings
| Toolsettings a refrence to the tool settings. More...
LayerObject * | activeLayer
| A pointer to the underlying active Layer, do not work on this. This is used for data grabbing or previews. More...
LayerObject * | Canvas
| A pointer to the drawing canvas of the tool, work on this. More...
bool | isDrawing = false
| A flag checking if the user is currently drawing or not. More...

## Detailed Description

The IntelliToolPlainTool class represents a tool to fill the whole canvas with one color.

Definition at line 13 of file IntelliToolPlain.h.

## Constructor & Destructor Documentation

## ◆ IntelliToolPlainTool()

IntelliToolPlainTool::IntelliToolPlainTool | ( | PaintingArea * | Area,
|  | IntelliColorPicker * | colorPicker,
|  | IntelliToolsettings * | Toolsettings
| ) |  |

A constructor setting the general paintingArea and colorPicker.

Parameters

  Area | - The general paintingArea used by the project.
  colorPicker | - The general colorPicker used by the project.

Definition at line 5 of file IntelliToolPlain.cpp.

## ◆ ~IntelliToolPlainTool()

IntelliToolPlainTool::~IntelliToolPlainTool | ( |  | ) |
| override virtual

A Destructor.

Definition at line 10 of file IntelliToolPlain.cpp.

## Member Function Documentation

## ◆ onMouseLeftPressed()

void IntelliToolPlainTool::onMouseLeftPressed | ( | int | x,
|  | int | y
| ) |  |
| override virtual

A function managing the left click pressed of a mouse. Filling the whole canvas.

Parameters

  x | - The x coordinate relative to the active/canvas layer.
  y | - The y coordinate relative to the active/canvas layer.

Reimplemented from IntelliTool.

Definition at line 14 of file IntelliToolPlain.cpp.

## ◆ onMouseLeftReleased()

void IntelliToolPlainTool::onMouseLeftReleased | ( | int | x,
|  | int | y
| ) |  |
| override virtual

A function managing the left click released of a mouse. Merging the fill to the active layer.

Parameters

  x | - The x coordinate relative to the active/canvas layer.
  y | - The y coordinate relative to the active/canvas layer.

Reimplemented from IntelliTool.

Definition at line 20 of file IntelliToolPlain.cpp.

## ◆ onMouseMoved()

void IntelliToolPlainTool::onMouseMoved | ( | int | x,
|  | int | y
| ) |  |
| override virtual

A function managing the mouse moved event.

Parameters

  x | - The x coordinate of the new mouse position.
  y | - The y coordinate of the new mouse position.

Reimplemented from IntelliTool.

Definition at line 32 of file IntelliToolPlain.cpp.

## ◆ onMouseRightPressed()

void IntelliToolPlainTool::onMouseRightPressed | ( | int | x,
|  | int | y
| ) |  |
| override virtual

A function managing the right click pressed of a mouse. Resetting the current fill.

Parameters

  x | - The x coordinate relative to the active/canvas layer.
  y | - The y coordinate relative to the active/canvas layer.

Reimplemented from IntelliTool.

Definition at line 24 of file IntelliToolPlain.cpp.

## ◆ onMouseRightReleased()

void IntelliToolPlainTool::onMouseRightReleased | ( | int | x,
|  | int | y
| ) |  |
| override virtual

A function managing the right click released of a mouse.

Parameters

  x | - The x coordinate relative to the active/canvas layer.
  y | - The y coordinate relative to the active/canvas layer.

Reimplemented from IntelliTool.

Definition at line 28 of file IntelliToolPlain.cpp.

## ◆ onWheelScrolled()

void IntelliToolPlainTool::onWheelScrolled | ( | int | value | ) |
| override virtual

A function managing the scroll event.

Parameters

  value | - The absolute the scroll has changed.

Reimplemented from IntelliTool.

Definition at line 36 of file IntelliToolPlain.cpp.

The documentation for this class was generated from the following files:

- src/Tool/IntelliToolPlain.h
- src/Tool/IntelliToolPlain.cpp